Issues updating homeassitant in virtualenv

I followed the Installation in Virtualenv and it works just fine.
I am trying to update home assistant so i ran the following:

$ source /srv/hass/bin/activate

then

(hass)$ pip3 install --upgrade homeassistant

however, I received the following error:

Exception:
Traceback (most recent call last):
  File "/srv/hass/lib/python3.4/shutil.py", line 523, in move
    os.rename(src, real_dst)
PermissionError: [Errno 13] Permission denied: '/srv/hass/bin/hass' -> '/tmp/pip-67k9hg6q-uninstall/srv/hass/bin/hass'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/hass/lib/python3.4/site-packages/pip/basecommand.py", line 215, in main
    status = self.run(options, args)
  File "/srv/hass/lib/python3.4/site-packages/pip/commands/install.py", line 317, in run
    prefix=options.prefix_path,
  File "/srv/hass/lib/python3.4/site-packages/pip/req/req_set.py", line 736, in install
    requirement.uninstall(auto_confirm=True)
  File "/srv/hass/lib/python3.4/site-packages/pip/req/req_install.py", line 742, in uninstall
    paths_to_remove.remove(auto_confirm)
  File "/srv/hass/lib/python3.4/site-packages/pip/req/req_uninstall.py", line 115, in remove
    renames(path, new_path)
  File "/srv/hass/lib/python3.4/site-packages/pip/utils/__init__.py", line 267, in renames
    shutil.move(old, new)
  File "/srv/hass/lib/python3.4/shutil.py", line 536, in move
    os.unlink(src)
PermissionError: [Errno 13] Permission denied: '/srv/hass/bin/hass'

Have also made new user as described under step 1?
Then you have to run this first:
sudo su -s /bin/bash hass

yup. so should i run the upgrade as the hass user also?

That did it. Poor oversight on my part.

Thanks!